# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2019-02-07 20:02
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='RawCid',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.TextField(primary_key=True, serialize=False)),
                ('session_attribution', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('attribution_path', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('lnd_attribution', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('metrics', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('dimensions', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('last_hit', models.TextField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RawHit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('attribution_path', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('lnd_attribution', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('cid', models.TextField(blank=True)),
                ('user_id', models.TextField(blank=True)),
                ('session_id', models.TextField()),
                ('user_age', models.IntegerField(null=True)),
                ('cid_age', models.IntegerField(null=True)),
                ('user_meta', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('cid_meta', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('custom_metrics', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('custom_dimensions', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('session_custom_metrics', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('session_custom_dimensions', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('session_source', models.TextField(default='unknown')),
                ('session_medium', models.TextField(default='unknown')),
                ('campaign_name', models.TextField(blank=True)),
                ('campaign_keyword', models.TextField(blank=True)),
                ('hit_type', models.TextField(default='unknown')),
                ('page_url', models.TextField(blank=True)),
                ('page_name', models.TextField(blank=True)),
                ('event_category', models.TextField(blank=True)),
                ('event_action', models.TextField(blank=True)),
                ('event_label', models.TextField(blank=True)),
                ('event_value', models.IntegerField(null=True)),
                ('other_variables', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('extra_info', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RawUser',
            fields=[
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('id', models.TextField(primary_key=True, serialize=False)),
                ('session_attribution', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('attribution_path', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('lnd_attribution', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('original_cid', models.TextField(blank=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddIndex(
            model_name='rawhit',
            index=models.Index(fields=['event_action', '-created'], name='djangoanaly_event_a_0ffe49_idx'),
        ),
        migrations.AddIndex(
            model_name='rawhit',
            index=models.Index(fields=['session_medium', '-created'], name='djangoanaly_session_570ac8_idx'),
        ),
        migrations.AddIndex(
            model_name='rawhit',
            index=models.Index(fields=['-created'], name='djangoanaly_created_493d5c_idx'),
        ),
    ]
